OpenSC 0.12.0 released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

OpenSC 0.12.0 released

Martin Paljak-4
OpenSC 0.12.0
=============

OpenSC 0.12.0 was released on 23.12.2010.

Packages with source and binaries can be downloaded from http://www.opensc-project.org/files/opensc
 - Source for Linux:       opensc-0.12.0.tar.gz
                           SHA1: 1400da0732a4cbf9ff7f8296bf59c6e153207247
 - Installer for OSX 10.6: OpenSC-0.12.0-10.6.dmg
                           SHA1: dc3122c09d59f94216ff2b9365775f32d53e2749
 - Installer for OSX 10.5: OpenSC-0.12.0-10.5.dmg
                           SHA1: 373dcee2de7c63a61116d4d677a0e667e6c4a7d2
 - Installer for Windows:  OpenSC-0.12.0.win32.exe
                           SHA1: 9f2b7f9af3962307acf9baac79f89fa7b76c8c51

- Most Important News -
 - Binary installers for Windows (x86) and Mac OS X (10.5+) now available.
  - Windows installer will probably see changes in the next release, use with caution.
 - Support for several new cards added
  - Portugese eID
  - Italian eID, CNS
  - Westcos
  - CardOS version 4.4
 - Transparent software key generation has been removed from OpenSC
 - Linking against libopensc has been deprecated
 - This release fixes CVE-2010-4523, a security issue where specially crafted rogue smart cards can
   be used to execute arbitrary code.


- OpenSC Features -
 - Support for generation, import and use of RSA keys up to 2048 bits.
  - Partial GOST algorithms support with OpenSSL 1.0.0 and later
 - Supports SHA1, SHA-256, SHA-512, MD5 and RIPEMD160 hashing
 - Multi-platform PKCS#11 v2.20 module for Linux, Windows and Mac OS X.
 - Works with supported cards in native Mac OS X applications (Safari, Mail.app etc)
  - Through open source OpenSC.tokend
 - Support for all recent smart card readers, by default via PC/SC.
  - Optionally through CT-API or OpenCT.
 - Multi-platform support for modern pinpad readers with PC/SC v2 compatible drivers
  - Works with open source pcsc-lite and CCID driver
NB! Actual features depend on used hardware and software versions!

- Notes to packagers -
 - Linking against libopensc is not encouraged; OpenSC no longer installs header files.
  - Developer packages (-dev/-devel) should be removed. Developers are encouraged to use
    either PKCS#11 for cryptographic purposes or pcsc-lite for direct smart card access.
 - Only a single reader layer can be enabled at compile time. The default is PC/SC. Packagers
   and distros are encouraged to compile with pcsc-lite support by default. See OpenSC
   ticket #216 for more information: http://www.opensc-project.org/opensc/ticket/216
 - mozilla-opensc plugin has been discontinued. This removes libassuan dependency.
 - Please report issues to [hidden email]

Known issues will be gathered to the OpenSC wiki (with additional technical details) as they are discovered.

http://www.opensc-project.org/opensc

Thanks to all contributors!

--
@MartinPaljak.net
+3725156495

_______________________________________________
opensc-announce mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-announce